var InduxsoftLoginForm=
{
    "callback_success":null,
    "callback_fail":function(msg)
    {
        if(!msg) msg="No se pudo iniciar la sesión, revise el usuario y contraseña.";
        $("#induxsoftLoginForm_message").html(`${msg}`);
        setTimeout(function(){$("#induxsoftLoginForm_message").html(``)}, 5000);
    },
    "endpoint":"https://api.induxsoft.net/auth/login/",
    "waiting":function(v)
    {
        if (v) 
            $("#induxsoftLoginForm_enter").html(`<div class="induxsoftLoginFormSpinner" id="induxsoftLoginFormSpinner1"></div>`);
        else
            $("#induxsoftLoginForm_enter").html("Ingresar");

        $("#induxsoftLoginForm_enter").prop("disabled",v);
        $("#induxsoftLoginForm_uid").prop("disabled",v);
        $("#induxsoftLoginForm_pwd").prop("disabled",v);
        $("#rsnd-smspwd-btn").prop("disabled",v);
    },
    "access":function()
    {
        var uid=$("#induxsoftLoginForm_uid").val();
        var pwd=$("#induxsoftLoginForm_pwd").val();
        if(!uid || uid=="")
        {   
            if (InduxsoftLoginForm.callback_fail)
            {
                InduxsoftLoginForm.callback_fail("Debe ingresar un correo o teléfono.");
                return;
            }
        }
         else if(!pwd || pwd=="")
         {
            if (InduxsoftLoginForm.callback_fail)
            {
                InduxsoftLoginForm.callback_fail("Debe ingresar una contraseña.");
                return;
            }     
         }
                
        InduxsoftLoginForm.waiting(true);
        this.login(uid,pwd,InduxsoftLoginForm.url);
    },
    "showRsndSmsPwd":function(){
        $("#rsnd-smspwd").toggleClass("hidde_control");
    },
    "editMobile":function(){
        $("#mobile").removeClass("disableControl");
        $("#edit-mobile").addClass("hidde_control");
    },
    "sendSms":function(uidData){
        let uidD=uidData;
        let mobile=$("#mobile").val();
        InduxsoftLoginForm.waiting(true);

        this.sms(uidD,mobile,"https://api.induxsoft.net/auth/signup/rsnd-smspwd.dkl");
    },
    "pwdViewControl":function(){
        const checkbox = document.querySelector("#view_pwd_checkbox");
        const pwd_input = document.querySelector("#induxsoftLoginForm_pwd");
        if(checkbox) checkbox.addEventListener('click', function(){
            if(checkbox.checked){ pwd_input.type = "text"; }
            else { pwd_input.type = "password"; }
        });
    },
    "loadEvent" : function(){
        const input_pwd = document.querySelector("#induxsoftLoginForm_pwd");
        if(input_pwd)input_pwd.addEventListener('keyup', e => {
            if(e.which == 13){ InduxsoftLoginForm.access(); }
        });
    },
    "login":function(uid,pwd,url)
    {
        $.ajax({
			type: "POST",
			url: InduxsoftLoginForm.endpoint,
			data: JSON.stringify({"uid":uid,"pwd":pwd}),
			contentType: "application/json; charset=utf-8",
			dataType: "json",
			success: function(r){
				var res = JSON.parse(JSON.stringify(r));
				if (res.success)
				{
					if (InduxsoftLoginForm.callback_success)
                        InduxsoftLoginForm.callback_success(res.data);
                    else
                        window.location.href=InduxsoftLoginForm.url.replace("@token",res.data.ids).replace("@ids",res.data.ids);
                    
                        InduxsoftLoginForm.waiting(false);
				}
				else
				{
					if (InduxsoftLoginForm.callback_fail)
                        InduxsoftLoginForm.callback_fail(); //res.message
                    
                        InduxsoftLoginForm.waiting(false);
				}
			},
			error: function(r){
				alert("Ocurrió un error al invocar el servicio.\n\r"+r.statusText);
                InduxsoftLoginForm.waiting(false);
			}
		});
    },
    "sms":function(uid,mobile, url)
    {
        $.ajax({
			type: "POST",
			url: url,
			data: JSON.stringify({"uid":uid,"mobile":mobile}),
			contentType: "application/json; charset=utf-8",
			dataType: "json",
			success: function(r){
				var res = JSON.parse(JSON.stringify(r));
				if (res.success)
				{
                    if(!res.data.sms_sended)
                        if (InduxsoftLoginForm.callback_fail)
                            InduxsoftLoginForm.callback_fail(res.data.error);

                        InduxsoftLoginForm.waiting(false);
                        $("#rsnd-smspwd").toggleClass("hidde_control");
				}
				else
				{
					if (InduxsoftLoginForm.callback_fail)
                        InduxsoftLoginForm.callback_fail(res.message);
                    
                        InduxsoftLoginForm.waiting(false);
                        $("#rsnd-smspwd").toggleClass("hidde_control");
				}
			},
			error: function(r){
				alert("Ocurrió un error al invocar el servicio.\n\r"+r.statusText);
                InduxsoftLoginForm.waiting(false);
			}
		});
    }
};

function myJQueryCode() {
    $(document).ready(() => {
		InduxsoftLoginForm.pwdViewControl();
		InduxsoftLoginForm.loadEvent();
	});
}

if(typeof jQuery=='undefined') {
    var headTag = document.getElementsByTagName("head")[0];
    var jqTag = document.createElement('script');
    jqTag.type = 'text/javascript';
    jqTag.src = 'https://code.jquery.com/jquery-3.6.0.min.js';
    jqTag.onload = myJQueryCode;
    headTag.appendChild(jqTag);
} else {
     myJQueryCode();
}